4.10.0-30-generic...sdhci_pci driver does not detect microSDXC while 4.8.0-36-generic works with same hardware

Bug #1710023 reported by Dana Tousley on 2017-08-10
28
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux-hwe (Ubuntu)
Medium
Unassigned

Bug Description

Lenovo Ideapad 100s 14IBR

microSD works with live session boot but not installed OS boot.

lspci -nnk | grep -A3 'SD Host controller'

00:12.0 SD Host controller [0805]: Intel Corporation Device [8086:2296] rev 35)
Subsystem: Lenovo Device [17aa:3905]
Kernel modules: sdhci_pci
00:13.0 SATA controller [0106]: Intel Corporation Device [8086:22a3] (rev 35)

In a normal boot that doesn't see the microSD card

dana@Astrolaptop3:~$ sudo modinfo sdhci_pci
filename: /lib/modules/4.10.0-30-generic/kernel/drivers/mmc/host/sdhci-pci.ko

output of sudo lspci -v on normal boot from SATA (only showing SD controller section)

00:12.0 SD Host controller: Intel Corporation Device 2296 (rev 35) (prog-if 01)
Subsystem: Lenovo Device 3905
Flags: fast devsel, IRQ 18
Memory at 91315000 (32-bit, non-prefetchable) [size=4K]
Capabilities: [80] Power Management version 3
Kernel modules: sdhci_pci

and from a live session boot that does see the microSD card

ubuntu@ubuntu:~$ sudo modinfo sdhci_pci
filename: /lib/modules/4.8.0-36-generic/kernel/drivers/mmc/host/sdhci-pci.ko

Output of sudo lspci -v during live session when card is detected (only showing SD controller section)

00:12.0 SD Host controller: Intel Corporation Device 2296 (rev 35) (prog-if 01)
Subsystem: Lenovo Device 3905
Flags: bus master, fast devsel, latency 0, IRQ 18
Memory at 91315000 (32-bit, non-prefetchable) [size=4K]
Capabilities: [80] Power Management version 3
Kernel driver in use: sdhci-pci
Kernel modules: sdhci_pci

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-4.10.0-30-generic 4.10.0-30.34~16.04.1
ProcVersionSignature: Ubuntu 4.10.0-30.34~16.04.1-generic 4.10.17
Uname: Linux 4.10.0-30-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.10
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Aug 10 17:58:43 2017
GvfsMonitorLog: Monitoring events. Press Ctrl+C to quit.
HotplugNewDevices:

HotplugNewMounts:

InstallationDate: Installed on 2017-08-05 (4 days ago)
InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.2)
SourcePackage: linux-hwe
Symptom: storage
UdevMonitorLog:
 monitor will print the received events for:
 UDEV - the event which udev sends out after rule processing
UdisksMonitorLog:
 Monitoring the udisks daemon. Press Ctrl+C to exit.
 17:58:55.882: The udisks-daemon is running (name-owner :1.59).
UpgradeStatus: No upgrade log present (probably fresh install)

Dana Tousley (danatousley) wrote :
Dana Tousley (danatousley) wrote :

devices.txt added

Dana Tousley (danatousley) wrote :

dmesg.txt added

Dana Tousley (danatousley) wrote :

lshal.txt was empty

Dana Tousley (danatousley) wrote :

udev.log was empty

description: updated
Dana Tousley (danatousley) wrote :

Reverting kernel to 4.8.17-040817-generic fixes the problem. sdhci-pci module flags bus master, fast devsel, latency 0, IRQ 18 set and works.

Later kernels omit the bus master and latency 0 flags and for me are broken.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-hwe (Ubuntu):
status: New → Confirmed
tags: added: patch
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.15 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.15-rc7

Changed in linux-hwe (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: needs-bisect
Dana Tousley (danatousley) wrote :

Tested 4.15-rc7 and no difference - card is still not recognized.

tags: added: kernel-bug-exists-upstream
Dana Tousley (danatousley) wrote :

kernel-bug-exists-upstream tag added

Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report[0]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

Please follow the instructions on the wiki page[0]. The first step is to email the appropriate mailing list. If no response is received, then a bug may be opened on bugzilla.kernel.org.

Once this bug is reported upstream, please add the tag: 'kernel-bug-reported-upstream'.

[0] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux-hwe (Ubuntu):
status: Incomplete → Triaged
Dana Tousley (danatousley) wrote :

Am I correct in finding the proper mailing list (haven't sent mail yet)?
I send a plain text email to here containing the data required in the link? Grr - I don't have or need email setup on this computer.

SECURE DIGITAL HOST CONTROLLER INTERFACE (SDHCI) DRIVER
M: Adrian Hunter <email address hidden>
L: <email address hidden>
T: git git://git.infradead.org/users/ahunter/linux-sdhci.git
S: Maintained
F: drivers/mmc/host/sdhci*
F: include/linux/mmc/sdhci*

Eric Joseph (echos-dad) wrote :

I can confirm this. Numerous attempts of different versions 16.04 and up, no read write or detection of sd card.

Andrew Conley (atconley) wrote :

I (believe that I) am having the same issue (on the same computer) running a fresh install of 17.10. The returns I receive from the commands listed in the Bug Description are substantively identical.

Andrew Conley (atconley) wrote :

Also: I have kernel 4.13.0-37-generic.

Do I need to do any more in the reporting?

    On Thursday, March 15, 2018 11:50 PM, Andrew Conley <email address hidden> wrote:

 Also: I have kernel 4.13.0-37-generic.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1710023

Title:
  4.10.0-30-generic...sdhci_pci driver does not detect microSDXC  while
  4.8.0-36-generic works with same hardware

Status in linux-hwe package in Ubuntu:
  Triaged

Bug description:
  Lenovo Ideapad 100s 14IBR

  microSD works with live session boot but not installed OS boot.

  lspci -nnk | grep -A3 'SD Host controller'

  00:12.0 SD Host controller [0805]: Intel Corporation Device [8086:2296] rev 35)
  Subsystem: Lenovo Device [17aa:3905]
  Kernel modules: sdhci_pci
  00:13.0 SATA controller [0106]: Intel Corporation Device [8086:22a3] (rev 35)

  In a normal boot that doesn't see the microSD card

  dana@Astrolaptop3:~$ sudo modinfo sdhci_pci
  filename:      /lib/modules/4.10.0-30-generic/kernel/drivers/mmc/host/sdhci-pci.ko

  output of sudo lspci -v on normal boot from SATA (only showing SD
  controller section)

  00:12.0 SD Host controller: Intel Corporation Device 2296 (rev 35) (prog-if 01)
  Subsystem: Lenovo Device 3905
  Flags: fast devsel, IRQ 18
  Memory at 91315000 (32-bit, non-prefetchable) [size=4K]
  Capabilities: [80] Power Management version 3
  Kernel modules: sdhci_pci

  and from a live session boot that does see the microSD card

  ubuntu@ubuntu:~$ sudo modinfo sdhci_pci
  filename:      /lib/modules/4.8.0-36-generic/kernel/drivers/mmc/host/sdhci-pci.ko

  Output of sudo lspci -v during live session when card is detected
  (only showing SD controller section)

  00:12.0 SD Host controller: Intel Corporation Device 2296 (rev 35) (prog-if 01)
  Subsystem: Lenovo Device 3905
  Flags: bus master, fast devsel, latency 0, IRQ 18
  Memory at 91315000 (32-bit, non-prefetchable) [size=4K]
  Capabilities: [80] Power Management version 3
  Kernel driver in use: sdhci-pci
  Kernel modules: sdhci_pci

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: linux-image-4.10.0-30-generic 4.10.0-30.34~16.04.1
  ProcVersionSignature: Ubuntu 4.10.0-30.34~16.04.1-generic 4.10.17
  Uname: Linux 4.10.0-30-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.10
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Thu Aug 10 17:58:43 2017
  GvfsMonitorLog: Monitoring events. Press Ctrl+C to quit.
  HotplugNewDevices:

  HotplugNewMounts:

  InstallationDate: Installed on 2017-08-05 (4 days ago)
  InstallationMedia: Ubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215.2)
  SourcePackage: linux-hwe
  Symptom: storage
  UdevMonitorLog:
   monitor will print the received events for:
   UDEV - the event which udev sends out after rule processing
  UdisksMonitorLog:
   Monitoring the udisks daemon. Press Ctrl+C to exit.
   17:58:55.882: The udisks-daemon is running (name-owner :1.59).
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux-hwe/+bug/1710023/+subscriptions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers